@import "app/UI/styles/index";

.Container {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  margin: 5px;
}

.Label {
  font-weight: 600;
  font-size: 14px;
  line-height: 16px;
  font-family: $primary-font;
  color: $color-sharkapprox;
}

.Checkbox {
  display: none;
}

%shared-checkbox {
  width: 24px;
  height: 24px;
  border-radius: 4px;
  box-sizing: border-box;
  margin-right: 8px;
}

.Checked {
  display: flex;
  justify-content: center !important;
  align-items: center;
  @extend %shared-checkbox;
  background: $color-dodger-blueapprox;

  img {
    fill: $color-white;
    color: $color-white;
  }
}

.Unchecked {
  @extend %shared-checkbox;
  background: $color-white;
  border: 1px solid $color-athens-gray-dark;
}

.CheckIcon {
  &, & * {
    fill: $color-white;
    width: 18px;
    height: 18px;
  }
}
